Bug 1292507

Summary: pod terminal does not support 3rd level characters
Product: OpenShift Container Platform Reporter: Evgheni Dereveanchin <ederevea>
Component: Management ConsoleAssignee: Stef Walter <stefw>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: medium Docs Contact:
Priority: high    
Version: 3.1.0CC: akokshar, aos-bugs, bmchugh, ederevea, hasha, jforrest, jokerman, mark.vinkx, mmccomas, nnosenzo, spadgett, stefw, xtian, xxia, yapei
Target Milestone: ---   
Target Release: 3.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Previously in the web console pod terminal, you could not enter third-level characters using the AltGr key such as | (pipe) in some keyboard layouts. Now AltGr-<character> combinations work properly in the web console pod terminal.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-28 21:51:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Belgium
none
Windows_Edge
none
Fedora Firefox gif none

Description Evgheni Dereveanchin 2015-12-17 15:55:22 UTC
Description of problem:
Multilple keyboard layouts use 3rd level characters for special symbols. It is impossible to input such characters in these layouts.

For example, in the French layout symbols such as "|" do not work

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
Always

Steps to Reproduce:
1. Enable French layout
2. open a pod console
3. try to type the | (Pipe) symbol 

Actual results:
nothing happens

Expected results:
symbol appears in the console

Additional info:

a workaround currently is to input Alt+124 manually which takes a long time

Upstream

Comment 2 Jessica Forrester 2017-07-21 12:28:48 UTC
*** Bug 1473661 has been marked as a duplicate of this bug. ***

Comment 6 Samuel Padgett 2017-07-24 17:45:58 UTC
This is likely fixed by our switch to xterm.js for the web console terminal. Moving to MODIFIED for QE validation.

https://github.com/openshift/origin-web-console/pull/1869

Comment 7 Alexander Koksharov 2017-07-31 07:57:21 UTC
Customer is not accepting any "likely", "might", "probably", etc. He is requesting a clear statement.
So, could you please be precise in a statement about whether this issue is really fixed in 3.7 or not.

Comment 8 Samuel Padgett 2017-07-31 17:26:15 UTC
I can confirm it's really fixed in 3.7.

(We would not close the bug without validating.)

Comment 9 shahan 2017-08-09 03:24:29 UTC
This bug has been fixed in the https://trello.com/c/zoxUAO2w, Tested this on all related browsers, could input special symbols in French layouts in the pod terminal.
test env:
 OpenShift Master:v3.6.0-rc.0+01e5a1b-550
 Kubernetes Master:v1.7.0+695f48a16f 
QE could verify when it's changed to ON_QA.

Comment 10 Samuel Padgett 2017-08-09 12:13:32 UTC
@shahan, it's not just special characters. The problem was specifically with 3rd level characters where you need to hold down multiple modifier keys.

I tested the `|` character in the French layout, which on my system was Alt-Shift-l (that's the letter L).

Comment 11 Brendan Mchugh 2017-08-10 12:55:34 UTC
Can you confirm the following is also working/has been tested, as that bug was closed as a duplicate of this one? (1473661)

Under Windows and using a Belgium azerty keyboard, AltGr does not function in Container Terminal in the Web Console.

Trying to enter the "|" symbol in terminal with "AltGr+1" fails, as do many other "AltGr+Character" combinations.

1. Switch keyboard in Windows to Belgian Azerty keymap
2. Try to enter "|" symbol in terminal with "AltGr+1"

OS: Windows 10
Browsers tested that do not send AltGr+Character:
Internet Explorer 11
Edge
Chrome 59

Comment 12 shahan 2017-08-14 05:36:30 UTC
@Brendan Mchugh Tested some symbol using Belgium azerty keyboard, now the terminal work well. see attachement

Comment 13 shahan 2017-08-14 05:36:58 UTC
Created attachment 1312949 [details]
Belgium

Comment 14 Xingxing Xia 2017-09-21 10:46:26 UTC
Created attachment 1328931 [details]
Windows_Edge

Read above comments. Checked it again in openshift v3.7.0-0.126.4
As QE guy from Beijing, not familiar with the above keyboard input. Thus to ensure the check correct, first try the check in early version v3.6.173.0.21, then try the same in v3.7.0-0.126.4. If the former reproduces but the latter does not, then the check is correct

Brendan, for comment 11 for another bug 1473661:
Double got same result as comment 12 in v3.7. Here just give the video record in "Windows Edge gif". And in v3.6, the same check indeed reproduces the issue. so bug 1473661 is fixed

Evgheni & Samuel, however, for comment 0 and comment 10, could you clarify in what OS/browser/lang keyboard you reproduced it? Asking this because mine is FF/Chrome on Fedora with one kind of French, but the French "|" works not only in v3.7.0-0.126.4, but also in v3.6.173.0.21 (which, per RH internal https://url.corp.redhat.com/559353b, does not yet include the fix in comment 6)! My check detail is shown in "Fedora Firefox gif". Thus, to validly verify comment 0, need follow the same as your operations

Comment 15 Xingxing Xia 2017-09-21 10:48:08 UTC
Created attachment 1328932 [details]
Fedora Firefox gif

Comment 18 shahan 2017-09-25 03:16:30 UTC
Brendan & Xingxing Xia, thanks for your confirmation.
Samuel, according to the above comments, the issues mentioned by comment <0> and comment <11> have been fixed, could you move this bug to ON_QA?

Comment 20 shahan 2017-09-27 08:45:04 UTC
According to above comments, all issues were fixed and move to Verify status.

Comment 24 errata-xmlrpc 2017-11-28 21:51:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188